Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jan 2020 21:24:35 +0200

> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Sun, 26 Jan 2020 10:18:38 -0800
> 
> On 1/26/20 8:13 AM, Eli Zaretskii wrote:
> > they are both unreliable
> 
> Only if we make them so. As things stand, emacs-source-directory is more 
> reliable than source-directory is, and if we remove the configure-time option to 
> omit installation of source code (a step I favor) we will make 
> emacs-source-directory even more reliable than it is now.
> 
> It's long past time that we stopped making Emacs source code a second-class 
> citizen. The GNU philosophy is that it should be easy to see the source, and we 
> should be guided by that philosophy here.
> 
> We cannot rely on distributors to make things easy here. Some distributors do 
> not install source; others install it in different places, only optionally, and 
> do so in obscure ways that most users don't know about. Distributors will follow 
> our lead if we install the source in a well-specified place. If we tried instead 
> to find the nook or cranny (if any) where the current distributor squirrels away 
> the Emacs source code, this problem would continue to be a maintenance headache 
> for us. It's not worth the hassle.

Sorry, I cannot be convinced by reiterating the same views and
high-level abstract ideas.  We had a discussion, where no consensus
was reached about making this the default.  I don't see why would you
decide to unilaterally override all those valid opinions to the
contrary.  Please make this opt-in.